Package org.eclipse.birt.report.engine.api.script.element

# Interface IFilterCondition

public interface IFilterCondition
Represents the design of an FilterCondition in the scripting environment

## Method Summary

Modifier and Type
Method
Description
`String`
`getExpr()`
Returns expr
`String`
`getOperator()`
Returns operator
`org.eclipse.birt.report.model.api.core.IStructure`
`getStructure()`
Returns structure.
`String`
`getValue1()`
Returns value1
`String`
`getValue2()`
Returns value2
`void`
`setExpr(String expr)`
Sets expr
`void`
`setOperator(String operator)`
Sets operator
`void`
`setValue1(String value1)`
Sets value1
`void`
`setValue2(String value2)`
Sets value2

## Method Details

### getOperator

String getOperator()
Returns operator

Returns:
  operator

### setOperator

void setOperator(String operator) throws ScriptException
Sets operator

Parameters:
  `operator` -
Throws:
  `ScriptException`

### getValue1

String getValue1()
Returns value1

Returns:
  value1

### setValue1

void setValue1(String value1) throws ScriptException
Sets value1

Parameters:
  `value1` -
Throws:
  `ScriptException`

### getValue2

String getValue2()
Returns value2

Returns:
  value2

### setValue2

void setValue2(String value2) throws ScriptException
Sets value2

Parameters:
  `value2` -
Throws:
  `ScriptException`

### getStructure

org.eclipse.birt.report.model.api.core.IStructure getStructure()
Returns structure.

Returns:
  structure

### setExpr

void setExpr(String expr) throws ScriptException
Sets expr

Parameters:
  `expr` -
Throws:
  `ScriptException`

### getExpr

String getExpr()
Returns expr

Returns:
  expr